# $Revision: 1.99 $, $Date: 2002/09/28 16:22:35 $
#
# Conditional build:
# _with_gradients	- enable gradients (implies _with_antialiasing)
# _with_antialiasing	- enable antialiasing (implies _with_freetype)
# _without_freetype	- disable xfreetype support
# _without_guievents	- disable guievents
# _without_gnome	- disable GNOME support
# _without_imlib	- disable imlib support
#
# TODO:
# - make a PLD-theme - default :]
# - bigger menu-file
#
Summary:	IceWM X11 Window Manager
Summary(es):	Administrador de Ventanas X11
Summary(pl):	IceWM - meneder okienek X11
Summary(pt_BR):	Gerenciador de Janelas X11
Summary(ru):	   X11
Summary(uk):	   X11
Name:		icewm
Version:	1.2.2
Release:	2
Epoch:		1
License:	LGPL
Group:		X11/Window Managers
Source0:	http://prdownloads.sourceforge.net/icewm/%{name}-%{version}.tar.gz
Source1:	IceWM.desktop
Source2:	%{name}.directory
Source3:	http://prdownloads.sourceforge.net/icewm/iceicons-0.6.tar.gz
Source4:	IceWM.RunWM
Source5:	IceWM.wm_style
Source6:	%{name}-menu
Source7:	http://prdownloads.sourceforge.net/icewm/netscapeicons-0.2.tar.gz
Patch0:		%{name}-menu.patch
URL:		http://www.icewm.org/
BuildRequires:	XFree86-devel
%{!?_without_guievents:BuildRequires:	esound-devel}
BuildRequires:	gcc-c++
%{!?_without_gnome:BuildRequires:	gnome-libs-devel}
%{!?_without_imlib:BuildRequires:	imlib-devel}
Requires(pre):	fileutils
Requires(pre):	sh-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_wmstyledir	/etc/sysconfig/wmstyle
%define		_wmpropsdir	%{_datadir}/wm-properties

%description
Window Manager for X Window System. Can emulate the look of
Windows'95, OS/2 Warp 3,4, Motif. Tries to take the best features of
the above systems. Features multiple workspaces, opaque move/resize,
task bar, window list, mailbox status, digital clock. Fast and small.

%description -l es
Administrador de Ventanas para el X Window. Puede emular la apariencia
del Windows'95, OS/2 Warp 3 y 4 y el Motif. Intenta usar las mejores
caractersticas de los sistemas citados. Caractersticas: varios
ambientes de trabajo, movimiento/ redimensionamiento opaco, barra de
tareas, lista de ventanas, estado de la caja de entrada del correo y
reloj digital. Rpido y pequeo.

%description -l pl
Meneder okienek pod X11. Moe emulowa wygld Windows'95, OS/2 Warp
3,4, MWM. Meneder ten prbuje wybra najlepsze cechy dostpne w
powyszych rodowiskach, jak: wiele jednoczenie obecnych przestrzeni
roboczych, paski narzdziowe, status skrzynki z poczt, cyfrowy zegar.
Jest przy tym may i szybki.

%description -l pt_BR
Gerenciador de Janelas para o X Window. Pode emular a aparncia do
Windows'95, OS/2 Warp 3 e 4 e o Motif. Tenta usar as melhores
caractersticas dos sistemas citados. Caractersticas: vrios
ambientes de trabalho, movimentao/ redimensionamento opaco, barra de
tarefas, lista de janelas, status da caixa de entrada do correio e
relgio digital.  rpido e pequeno.

%description -l ru
   X Window System.    
Windows'95, OS/2 Warp 3,4, Motif.     
.    , 
 ,  ,  ,  
,  .   .

%description -l uk
   X Window System.   ΦΦ 
Windows'95, OS/2 Warp 3,4, Motif.    
 . դ ˦  , 
ͦ צ,  ,  צ,  ϧ
,  .   .

%package themes-base
Summary:	Pack of themes for IceWM
Summary(pl):	Zestaw tematw dla IceWM-a
Group:		Themes
Requires:	icewm

%description themes-base
Standard pack of themes delivered with IceWM. All of them made by
Marko Macek: gtk2, metal2, motif, nice, warp3, warp4, win95.

%description themes-base -l pl
Standardowy zestaw tematw dla IceWM-a, dostarczany wraz z nim.
Wszystkie stworzone przez Marko Macka: gtk2, metal2, motif, nice,
warp3, warp4, win95.

%prep
%setup -q
%patch0 -p1

cd lib/icons
tar -xzf %{SOURCE3}
tar -xzf %{SOURCE7}
cd ../..

%build
%configure \
	%{?_with_gradients:--enable-gradients} \
	%{?_with_antialiasing:--enable-antialiasing} \
	%{!?_without_freetype:--enable-xfreetype} \
	%{!?_without_guievents:--enable-guievents} \
	%{!?_without_gnome:--with-gnome-menus} \
	%{?_without_imlib:--without-imlib} \
	--with-docdir=%{_docdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_wmstyledir}} \
	$RPM_BUILD_ROOT{%{_applnkdir}/Settings/IceWM,%{_wmpropsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Settings/IceWM/.directory
install %{SOURCE4} $RPM_BUILD_ROOT%{_wmstyledir}/IceWM.sh
install %{SOURCE5} $RPM_BUILD_ROOT%{_wmstyledir}/IceWM.names
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/X11/icewm/menu
install lib/keys $RPM_BUILD_ROOT%{_sysconfdir}/X11/icewm/keys
install lib/preferences $RPM_BUILD_ROOT%{_sysconfdir}/X11/icewm/preferences
install lib/toolbar $RPM_BUILD_ROOT%{_sysconfdir}/X11/icewm/toolbar
install lib/winoptions $RPM_BUILD_ROOT%{_sysconfdir}/X11/icewm/winoptions

ln -s %{_libdir}/X11/icewm/icons $RPM_BUILD_ROOT%{_pixmapsdir}/icewm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
test -h %{_pixmapsdir}/icewm || rm -rf %{_pixmapsdir}/icewm

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS CHANGES FAQ PLATFORMS README* TODO icewm.lsm doc/*.html
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/X11/icewm
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/X11/icewm/*
%{_pixmapsdir}/icewm
%dir %{_libdir}/X11/icewm
%{_libdir}/X11/icewm/icons
%{_libdir}/X11/icewm/ledclock
%{_libdir}/X11/icewm/mailbox
%{_libdir}/X11/icewm/taskbar
%dir %{_libdir}/X11/icewm/themes
%{_libdir}/X11/icewm/themes/Infadel2
%dir %{_applnkdir}/Settings/IceWM
%{_applnkdir}/Settings/IceWM/.directory
%{_wmpropsdir}/*
%attr(755,root,root) %{_wmstyledir}/IceWM.sh
%attr(644,root,root) %{_wmstyledir}/IceWM.names

%files themes-base
%defattr(644,root,root,755)
%{_libdir}/X11/icewm/themes/gtk2
%{_libdir}/X11/icewm/themes/metal2
%{_libdir}/X11/icewm/themes/motif
%{_libdir}/X11/icewm/themes/nice
%{_libdir}/X11/icewm/themes/warp3
%{_libdir}/X11/icewm/themes/warp4
%{_libdir}/X11/icewm/themes/win95

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: icewm.spec,v $
Revision 1.99  2002/09/28 16:22:35  wolf
- rel 2
- menu hack for 1.2.2

Revision 1.98  2002/09/10 05:38:47  gotar
- back to http sources, ftp is overloaded.

Revision 1.97  2002/09/09 14:34:19  gotar
- switched to ftp source,
- fixed imlib bcond (in 1.2.2 default behaviour of ./configure has changed).

Revision 1.96  2002/09/07 16:03:38  kloczek
- (auto)updated to 1.2.2: bug fixes.

Revision 1.95  2002/07/10 11:18:25  qboosh
- BR: gcc-c++ not libstdc++-devel, added some bconds to disable some features

Revision 1.94  2002/07/01 20:03:14  kloczek
- adapterized.

Revision 1.93  2002/07/01 19:50:47  grzegol
- updated to 1.2.0
- Epoch:1 to allow upgrade from 1.2.0pre3
STBR

Revision 1.92  2002/06/21 17:02:03  grzegol
- merged with DEVEL
  * updated to 1.2.0pre3 (bugfix release)
  * added with_antialiasing and with_gradients bconds
  * cosmetics
STBR

Revision 1.91  2002/06/05 05:31:27  kloczek
- merge translations from KSI and Conectiva.

Revision 1.90  2002/05/31 07:20:01  gotar
- upgraded to 1.2.0pre2

Revision 1.89  2002/05/07 11:38:08  grzegol
- description fix

Revision 1.88  2002/04/25 16:35:32  arturs
fixed a small typo

Revision 1.87  2002/04/13 21:56:13  gotar
- moved back icons, symlink in %{_pixmapsdir} instead,
- release 9.

Revision 1.86  2002/03/05 10:10:31  marcus
- fixed problem with icons (in SOURCES was bad file!)
- addedd more icons
- rel.8.

Revision 1.85  2002/03/04 09:58:39  gotar
- ugly hack to rpm upgrade reverse switch lackness,
- release 7, STBR.

Revision 1.84  2002/03/03 11:16:04  gotar
- changes made by icewm-menu.patch were overwritten when building,
  replaced with icewm-menu,
- removed one more sub-BuildRequires (required by gnome-libs-devel),
- added one more %doc file.

Revision 1.83  2002/03/02 22:49:16  gotar
- removed Requires: autoconf, libtool and some of *-devel (required
  by imlib-devel),
- moved icons to %{_pixmapsdir}/icewm.

Revision 1.82  2002/03/02 15:28:56  gotar
- changed %configure options:
 --with-{gnome,shape,sm} - no such switches,
 --enable-nls - enabled by default,
 --enable-gradients - implies antialiasing (slow) and shitting screen by
 IceWM: Warning: ypixbuf.cc:1025: Failed to copy drawable 0x400b0a to pixel buffer
- release 6, STBR.

Revision 1.81  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.80  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.79  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.78  2001/12/28 17:15:55  gotar
- changes in descriptions.

Revision 1.77  2001/12/14 03:34:30  kloczek
- typo in %build.

Revision 1.76  2001/12/10 14:17:06  blues
- removed antialiasing (it's slows down....)

Revision 1.75  2001/12/10 10:04:51  wolf
- s/--with-i18n/--enable-i18n/
- release 5

Revision 1.74  2001/11/25 16:14:47  gotar
- added /etc/X11/icewm dir to the package contents,
- release 4.

Revision 1.73  2001/11/20 11:04:52  kloczek
- release 3: spec adapterized.

Revision 1.72  2001/11/20 03:44:42  djrzulf
- added wmstyle support,

Revision 1.71  2001/10/30 19:21:20  gotar
- configure cleanups.

Revision 1.70  2001/10/11 16:06:38  blues
- added some features to configure - works fine for me :)

Revision 1.69  2001/10/11 00:49:43  blues
- 1.0.9
- removed outdated patches
- some cleanups
NOTE: there is some features which are turned off now, but could be tested,
where is that pl-translation???

Revision 1.68  2001/09/26 11:14:24  qboosh
- adapterized

Revision 1.67  2001/09/26 11:10:06  qboosh
- BuildRequires: libtool

Revision 1.66  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.65  2001/07/16 17:27:12  gotar
- removed redundant rpm macros,
- cosmetics.

Revision 1.64  2001/07/15 00:39:05  blues
- %%configure is back (solution: export LDFLAGS;configure2_13)

Revision 1.63  2001/07/14 23:56:03  kloczek
- release 8.

Revision 1.62  2001/07/14 22:18:42  blues
- removed %%configure macro - it doesn't work. Other macros removed.
- ac2.50 ready

Revision 1.60  2001/07/03 15:32:32  kloczek
- release 7.

Revision 1.59  2001/07/03 13:01:34  gotar
- added using %{__*} macros,
- added %{_libdir}/X11/icewm/themes to the package contents.

Revision 1.58  2001/06/30 22:52:49  blues
- one more build-require

Revision 1.57  2001/06/30 22:40:48  blues
- Release 6
- added nice pack of icons

Revision 1.56  2001/06/26 16:39:19  blues
- typo

Revision 1.55  2001/06/25 15:46:03  kloczek
- release 5,
- fix: added missing %defattr() in themes subpackage,
- fix: added also themes directories to packages %files lists.

Revision 1.54  2001/06/24 13:14:55  blues
- release 4
- 1.0.8-6

Revision 1.53  2001/05/17 09:38:58  blues
- xine: version 0.4.3
- cosmetics

Revision 1.52  2001/05/16 19:46:11  blues
- Release 3
- themes (except one) separated from main package.
Note: could anyone make PLD-theme? It would be added as default theme :]

Revision 1.51  2001/05/16 19:03:00  blues
- menu patch added

Revision 1.50  2001/05/04 14:17:08  blues
- typo

Revision 1.49  2001/05/04 12:51:49  blues
- TODO list

Revision 1.48  2001/04/27 18:24:37  blues
- Release 2
- corrected cfgdir
- STB

Revision 1.47  2001/04/27 18:01:42  blues
- new sources version with some bug-fixes

Revision 1.46  2001/04/24 18:42:51  kloczek
- more macros (use %%{_applnkdir} macro),
- removed COPYING, INSTALL, VERSION from %doc (these files aren't realy
  neccessary :)),
- a few cosmetics.

Revision 1.45  2001/04/24 16:16:52  blues
- cosmetics
- docs instaled in proper directory (icewm-help needed that)
- prep -q
- STB

Revision 1.44  2001/04/24 15:46:41  blues
- more macros used
- added more docs
- licence changed
- some other changes

Revision 1.43  2001/04/24 14:58:44  blues
- correct source-file
- started spec adapting

Revision 1.42  2001/04/20 08:48:57  kloczek
- release 6.

Revision 1.41  2001/04/19 18:20:54  blues
- docs gzip'ing uncommented....

Revision 1.40  2001/04/18 14:07:21  blues
- icewm settings are now in %{_prefix}/share/applnk/Settings/IceWM/
  Other icewm-related progs should use this.
- cosmetics

Revision 1.39  2001/04/18 13:46:28  blues
- release 5
- STB!!! Previous was broken (no themes in package)

Revision 1.38  2001/04/15 18:02:27  qboosh
- moved /usr/X11R6/share/gnome/wm-properties to /usr/X11R6/share/wm-properties

Revision 1.37  2001/04/13 06:07:35  kloczek
- release 4.

Revision 1.36  2001/04/12 02:14:48  blues
- added %dir to %{_libdir}/X11/icewm/

Revision 1.35  2001/04/05 12:31:57  blues
- a few typos corrected

Revision 1.34  2001/03/27 22:39:42  blues
- icewm 1.0.7 rel 3 - it really uses files in /etc/X11/icewm now
- first pack and release of icewm-themes
- little translation in freeamp

Revision 1.33  2001/03/25 02:34:33  kloczek
- release 2.

Revision 1.32  2001/03/25 02:33:04  blues
- config files in /etc/X11/icewm too

Revision 1.31  2001/03/25 01:20:02  blues
- version 1.0.7-7
- new DESTDIR.patch

Revision 1.30  2001/03/03 14:14:30  kloczek
- added time patch with fix which allow build on glibc 2.2.2.

Revision 1.29  2001/03/03 14:03:05  kloczek
- release 2: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.28  2001/01/17 19:25:12  misiek
update to 1.0.6

Revision 1.27  2000/12/16 04:04:55  kloczek
- updated to 1.0.5,
- added DESTDIR style install (DESTDIR patch added).

Revision 1.26  2000/11/12 20:11:55  kloczek
- modyfications for using new rpm automation.

Revision 1.25  2000/08/29 14:21:06  baggins
- typo

Revision 1.24  2000/07/28 13:57:37  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.23  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.22  2000/06/12 06:17:51  kloczek
- updated to 1.0.4.

Revision 1.21  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.19  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicated empty lines

Revision 1.18  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.17  2000/03/20 23:58:47  kloczek
- updated to 1.0.3.

Revision 1.16  2000/03/15 21:36:33  wiget
- BuildRequires: zlib-devel

Revision 1.15  2000/02/20 07:03:05  kloczek
- updated to 1.0.2.

Revision 1.14  2000/02/02 11:43:08  zagrodzki

- typo

Revision 1.13  2000/01/14 13:42:08  kloczek
- updated to 1.0.1,
- added desktop file for icewm.

Revision 1.12  2000/01/13 05:50:54  kloczek
- typo.

Revision 1.11  2000/01/13 05:21:34  kloczek
- added BuildRequires rules,
- added using more rpm macros,
- adapter(ized),
- updated Source url and URL.

Revision 1.10  2000/01/04 00:11:24  kura
- updated to 1.0.0

Revision 1.9  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Mar 19 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9.34-1]
- added gzipping some %doc,
- added Group(pl).

* Fri Nov 20 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.9.17-1]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added using $RPM_OPT_FLAGS during compile,
- added pl translation,
- added %attr and %defattr macros in %files (allows building package from
  non-root account).
